package com.teamchat.client.sdk.demo;

import com.teamchat.client.annotations.OnKeyword;
import com.teamchat.client.sdk.TeamchatAPI;

/**
 * This bot listens on the event stream for a keyword call TesT. 
 * Any text message that begins with test will be caught and will
 * result in printing out the success message.
 * 
 * 
 * Please remember to update the authkey
 */
public class ReceiveKeywordDemo {

	public static final String authKey = "samplekey";

	public static void main (String... args){
		TeamchatAPI api = TeamchatAPI.fromFile("config.json")
			    .setAuthenticationKey(authKey)
			    .startReceivingEvents(new ReceiveKeywordDemo());
			    
	}
	/**
	 * This method handles the case sensitive keyword.
	 * @param api
	 */
	@OnKeyword(isCaseSensitive=true, value = "TesT")
	public void caseSensitiveKeyword(TeamchatAPI api){
		System.out.println("Sucessfully triggered case sensitive keyword.");
	}
	/**
	 * This method handles the case insensitive keyword.
	 * @param api
	 */
	@OnKeyword(value = "TesT")
	public void caseInSensitiveKeyword(TeamchatAPI api){
		System.out.println("Sucessfully triggered case insensitive keyword.");
	}
}
